Bug 437819 - net-snmp-devel has undeclared dependency on lm_sensors-devel
net-snmp-devel has undeclared dependency on lm_sensors-devel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Safranek
:
Depends On: 229109
Blocks: 437999
  Show dependency treegraph
 
Reported: 2008-03-17 11:43 EDT by Radek Vokal
Modified: 2009-09-02 07:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Janousek 2008-03-17 11:43:25 EDT
+++ This bug was initially created as a clone of Bug #229109 +++

Description of problem:

The "net-snmp-config --agent-libs" cites "-lsensors", and anything linked
against libnetsnmpmibs.so has references to various sensors_* labels, but the
RPMs don't cite the dependency.

Version-Release number of selected component (if applicable):

net-snmp-devel-5.3-4.2

How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from me@mark.atwood.name on 2007-02-17 04:06 EST --
the dependency is actually on lm_sensor-devel

-- Additional comment from rvokal@redhat.com on 2007-02-19 05:20 EST --
Fix will be present in 5.4-8

-- Additional comment from twaugh@redhat.com on 2007-03-01 05:46 EST --
This is breaking hplip builds (requiring net-snmp-devel) on ppc64 and ppc since
there is no lm_sensors-devel package there.

-- Additional comment from rvokal@redhat.com on 2007-03-01 06:31 EST --
Fixes in 5.4-11

-- Additional comment from twaugh@redhat.com on 2007-03-02 05:37 EST --
Re-opening until a fixed package shows up..
Comment 2 RHEL Product and Program Management 2008-06-02 16:13:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2009-09-02 07:41:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1372.html

Note You need to log in before you can comment on or make changes to this bug.